Probleme Beim Installieren von Virtual Box

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema Probleme Beim Installieren von Virtual Box gibt es 10 Antworten auf 2 Seiten. Der letzte Beitrag () befindet sich auf der letzten Seite.
  • Probleme Beim Installieren von Virtual Box

    Beim installieren von Virtual Box unter Open Suse 42.3 mit Yast erhalte ich folgende Fehlermeldung

    Quellcode

    1. libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit) benötigt von virtualbox-5.1.30-3.3.x86_64 wird nirgends zur Verfügung gestellt
    Ich finde das Paket nirgendwo, was kann ich noch machen

    Für den Inhalt des Beitrages 114257 haftet ausdrücklich der jeweilige Autor: Susenutzer31323

  • Komisch, das fehlende Paket wird benötigt und wird als solches (fehlend) angemeckert.
    Nach deiner Aussage ist aber libopenssl1_0_0 installiert..........

    Aus den OpesSuse Quellen habe ich 5.1.28-34.1 installiert.
    Woher stammt denn deine VirtualBox virtualbox-5.1.30-3.3.x86_64?

    Das Repo für Kernel:stable und/oder das für VirtualBox vom Hersteller (Oracle) eingebunden?

    Für den Inhalt des Beitrages 114284 haftet ausdrücklich der jeweilige Autor: ThomasS

  • Ist das die Version aus dem kmp:stable Repo?
    Poste:

    Quellcode

    1. zypper lr -d

    Quellcode

    1. zypper se -si kernel

    Quellcode

    1. uname -a
    Hintergrund meiner Frage:
    Wenn du den Kernel aus kernel:stable benutzt und Virtualbox aus dem entsprechenden kmp:kernel Repo versuchst zu installieren, gibt es genau diese Fehlermeldung, da die dortigen Versionen gegen openSUSE Factory gebaut werden und dort eine andere openssl Version benutzt wird.

    Ansonsten funktioniert das unter Leap mit dem entsprechenden Virtualization Repo ohne Probleme:
    Gerade noch ein Update gemacht:

    Brainfuck-Quellcode

    1. zypper se -si virtualbox
    2. Repository-Daten werden geladen...
    3. Installierte Pakete werden gelesen...
    4. S | Name | Typ | Version | Arch | Repository
    5. ---+-----------------------------+-------+-------------------------+--------+---------------
    6. i+ | virtualbox | Paket | 5.1.30-344.1 | x86_64 | Virtualization
    7. i+ | virtualbox-host-kmp-default | Paket | 5.1.30_k4.4.92_31-344.1 | x86_64 | Virtualization
    8. i+ | virtualbox-host-source | Paket | 5.1.30-344.1 | noarch | Virtualization
    9. i+ | virtualbox-qt | Paket | 5.1.30-344.1 | x86_64 | Virtualization
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 114297 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Lösungsmöglichkeiten:

    1. Deinstalliere Virtualbox und nimm das Paket von Oracle oder binde das dortige Repo ein.

    2. Deinstalliere den Kernel aus kernel:stable und Virtualbox und nimm Virtualbox aus dem 42.3 Virtualization Repo

    3. Deinstalliere Virtualbox, nimm nur das virtualbox-host-kmp-default aus dem kmp:kernel-Repo, den Rest aus dem zu 42.3 passenden Virtualization Repo

    4. Deinstalliere Virtualbox, lade das entsprechende virtualbox-5.1.30.src.rpm herunter (egal aus welchem Repo) und baue es selbst mit rpm --rebuild, danach installiere die Pakete mit Yast/zypper.

    5. evtl. versuchst du auch nur, eine falsche Virtualbox Version zu installieren, die nicht zu deinem Kernel passt, nimm die richtige....
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 114298 haftet ausdrücklich der jeweilige Autor: Sauerland

  • Quellcode

    1. zypper lr -d

    Brainfuck-Quellcode

    1. Die Repository-Prioritäten sind ohne Effekt. Alle aktivierten Repositorys teilen sich die gleiche Priorität.
    2. # | Alias | Name | Aktiviert | GPG-Überprüfung | Aktualisierung | Priorität | Typ | URI | Dienst
    3. ---+-------------------------------------+--------------------------------------------+-----------+-----------------+----------------+-----------+--------+-------------------------------------------------------------------------------+-------
    4. 1 | Kernel_stable | Kernel builds for branch stable (standard) | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/repositories/Kernel:/stable/standard/ |
    5. 2 | http-download.opensuse.org-3a6f9adf | home:megamaced | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/repositories/home:/megamaced/openSUSE_Leap_42.3/ |
    6. 3 | http-opensuse-guide.org-40611268 | libdvdcss repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.3/ |
    7. 4 | http-opensuse-guide.org-f6abb744 | libdvdcss repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Leap_42.3/ |
    8. 5 | http-packman.inode.at-d3dbb150 | Packman Repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Leap_42.3/ |
    9. 6 | openSUSE-Leap-42.3-0 | openSUSE-Leap-42.3-0 | Ja | (r ) Ja | Nein | 99 | yast2 | cd:///?devices=/dev/disk/by-id/ata-HL-DT-ST_DVDRAM_GUE1N_KX4G3OJ1115 |
    10. 7 | repo-debug | openSUSE-Leap-42.3-Debug | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/42.3/repo/oss/ |
    11. 8 | repo-debug-non-oss | openSUSE-Leap-42.3-Debug-Non-Oss | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/distribution/leap/42.3/repo/non-oss/ |
    12. 9 | repo-debug-update | openSUSE-Leap-42.3-Update-Debug | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/42.3/oss/ |
    13. 10 | repo-debug-update-non-oss | openSUSE-Leap-42.3-Update-Debug-Non-Oss | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/update/leap/42.3/non-oss/ |
    14. 11 | repo-non-oss | openSUSE-Leap-42.3-Non-Oss | Ja | (r ) Ja | Ja | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/ |
    15. 12 | repo-oss | openSUSE-Leap-42.3-Oss | Ja | (r ) Ja | Ja | 99 | yast2 | http://download.opensuse.org/distribution/leap/42.3/repo/oss/ |
    16. 13 | repo-source | openSUSE-Leap-42.3-Source | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/42.3/repo/oss/ |
    17. 14 | repo-source-non-oss | openSUSE-Leap-42.3-Source-Non-Oss | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/distribution/leap/42.3/repo/non-oss/ |
    18. 15 | repo-update | openSUSE-Leap-42.3-Update | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/oss/ |
    19. 16 | repo-update-non-oss | openSUSE-Leap-42.3-Update-Non-Oss | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/leap/42.3/non-oss/ |
    20. 17 | standard | standard | Ja | (r ) Ja | Ja | 99 | rpm-md | https://download.opensuse.org/repositories/Kernel:/stable:/KMP/standard/ |
    Alles anzeigen

    Für den Inhalt des Beitrages 114317 haftet ausdrücklich der jeweilige Autor: Susenutzer31323

  • Quellcode

    1. zypper se -si kernel

    Brainfuck-Quellcode

    1. Repository-Daten werden geladen...
    2. Installierte Pakete werden gelesen...
    3. S | Name | Typ | Version | Arch | Repository
    4. ---+----------------------+-------+----------------------+--------+-------------------------------------------
    5. i+ | kernel-default | Paket | 4.13.5-3.1.g7034d64 | x86_64 | (Systempakete)
    6. i+ | kernel-default | Paket | 4.13.5-2.1.g6f1deed | x86_64 | (Systempakete)
    7. i+ | kernel-default | Paket | 4.13.4-2.1.g80338f6 | x86_64 | (Systempakete)
    8. i+ | kernel-default | Paket | 4.13.3-4.1.ge890e3e | x86_64 | (Systempakete)
    9. i+ | kernel-default | Paket | 4.13.2-1.1.g68f4aee | x86_64 | (Systempakete)
    10. i+ | kernel-default | Paket | 4.13.10-2.1.g951f578 | x86_64 | Kernel builds for branch stable (standard)
    11. i+ | kernel-default | Paket | 4.4.92-31.1 | x86_64 | openSUSE-Leap-42.3-Update
    12. i+ | kernel-default | Paket | 4.4.87-25.1 | x86_64 | openSUSE-Leap-42.3-Update
    13. i+ | kernel-default-devel | Paket | 4.13.5-3.1.g7034d64 | x86_64 | (Systempakete)
    14. i+ | kernel-default-devel | Paket | 4.13.5-2.1.g6f1deed | x86_64 | (Systempakete)
    15. i+ | kernel-default-devel | Paket | 4.13.4-2.1.g80338f6 | x86_64 | (Systempakete)
    16. i+ | kernel-default-devel | Paket | 4.13.3-4.1.ge890e3e | x86_64 | (Systempakete)
    17. i+ | kernel-default-devel | Paket | 4.13.10-2.1.g951f578 | x86_64 | Kernel builds for branch stable (standard)
    18. i+ | kernel-devel | Paket | 4.13.5-3.1.g7034d64 | noarch | (Systempakete)
    19. i+ | kernel-devel | Paket | 4.13.5-2.1.g6f1deed | noarch | (Systempakete)
    20. i+ | kernel-devel | Paket | 4.13.4-2.1.g80338f6 | noarch | (Systempakete)
    21. i+ | kernel-devel | Paket | 4.13.3-4.1.ge890e3e | noarch | (Systempakete)
    22. i+ | kernel-devel | Paket | 4.13.3-2.1.g38f3021 | noarch | (Systempakete)
    23. i+ | kernel-devel | Paket | 4.13.10-2.1.g951f578 | noarch | Kernel builds for branch stable (standard)
    24. i+ | kernel-firmware | Paket | 20171009-35.1 | noarch | Kernel builds for branch stable (standard)
    25. i+ | kernel-macros | Paket | 4.13.10-2.1.g951f578 | noarch | Kernel builds for branch stable (standard)
    26. i+ | kernel-syms | Paket | 4.13.5-3.1.g7034d64 | x86_64 | (Systempakete)
    27. i+ | kernel-syms | Paket | 4.13.5-2.1.g6f1deed | x86_64 | (Systempakete)
    28. i+ | kernel-syms | Paket | 4.13.4-2.1.g80338f6 | x86_64 | (Systempakete)
    29. i+ | kernel-syms | Paket | 4.13.3-4.1.ge890e3e | x86_64 | (Systempakete)
    30. i+ | kernel-syms | Paket | 4.13.10-2.1.g951f578 | x86_64 | Kernel builds for branch stable (standard)
    31. i+ | nfs-kernel-server | Paket | 1.3.0-28.1 | x86_64 | openSUSE-Leap-42.3-Oss
    32. i+ | nfs-kernel-server | Paket | 1.3.0-28.1 | x86_64 | openSUSE-Leap-42.3-0
    Alles anzeigen

    Quellcode

    1. uname -a

    Quellcode

    1. Linux linux-fjvz 4.13.10-2.g951f578-default #1 SMP PREEMPT Sun Oct 29 07:26:12 UTC 2017 (951f578) x86_64 x86_64 x86_64 GNU/Linux

    Für den Inhalt des Beitrages 114318 haftet ausdrücklich der jeweilige Autor: Susenutzer31323